Package wx :: Package lib :: Package agw :: Module genericmessagedialog :: Class GenericMessageDialog

[frames | no frames]

## Type GenericMessageDialog

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                        Dialog --+
                                 |
                                GenericMessageDialog

Main class implementation, L{GenericMessageDialog} is a possible replacement for the standard wx.MessageDialog.

Method Summary
| ``__init__`(self, parent, message, caption, style, pos, size)` Default class constructor.
| ``CreateButtonSizer`(self, flags)` Creates a sizer with standard buttons.
| ``CreateSeparatedButtonSizer`(self, flags)` Creates a sizer with standard buttons using CreateButtonSizer separated from the rest of the dialog contents by a horizontal wx.StaticLine.
| ``CreateStdDialogButtonSizer`(self, flags)` Creates a StdDialogButtonSizer with standard buttons.
| ``OnCancel`(self, event)` L{GenericMessageDialog} had received a wx.ID_CANCEL answer.
| ``OnKeyDown`(self, event)` Handles the wx.EVT_KEY_DOWN event for L{GenericMessageDialog}.
| ``OnNavigation`(self, event)` Handles the wx.EVT_NAVIGATION_KEY event for L{GenericMessageDialog}.
| ``OnNo`(self, event)` L{GenericMessageDialog} had received a wx.ID_NO answer.
| ``OnOk`(self, event)` L{GenericMessageDialog} had received a wx.ID_OK answer.
| ``OnYes`(self, event)` L{GenericMessageDialog} had received a wx.ID_YES answer.
| ``SwitchFocus`(self)` Switch focus between buttons.

Property Summary

Class Variable Summary

Instance Method Details

### __init__(self, parent, message, caption, style, pos=wx.Point(-1, -1), size=wx.Size(-1, -1))
(Constructor)

Default class constructor.

@param parent: the L{GenericMessageDialog} parent (if any); @param message: the message in the main body of the dialog; @param caption: the dialog title; @param style: the dialog style; @param pos: the dialog position on screen; @param size: the dialog size.

  Overrides:
    `wx.Dialog.__init__`

### CreateButtonSizer(self, flags)

Creates a sizer with standard buttons.

@param flags: a bit list of the following flags:
  wx.OK, wx.CANCEL, wx.YES, wx.NO, wx.HELP, wx.NO_DEFAULT.

@note: The sizer lays out the buttons in a manner appropriate to the platform.

  Overrides:
    `wx.Dialog.CreateButtonSizer`

### CreateSeparatedButtonSizer(self, flags)

Creates a sizer with standard buttons using CreateButtonSizer separated from the rest of the dialog contents by a horizontal wx.StaticLine.

  Overrides:
    `wx.Dialog.CreateSeparatedButtonSizer`

### CreateStdDialogButtonSizer(self, flags)

Creates a StdDialogButtonSizer with standard buttons.

@param flags: a bit list of the following flags:
  wx.OK, wx.CANCEL, wx.YES, wx.NO, wx.HELP, wx.NO_DEFAULT.

@note: The sizer lays out the buttons in a manner appropriate to the platform.

  Overrides:
    `wx.Dialog.CreateStdDialogButtonSizer`

### OnCancel(self, event)

L{GenericMessageDialog} had received a wx.ID_CANCEL answer.

### OnKeyDown(self, event)

Handles the wx.EVT_KEY_DOWN event for L{GenericMessageDialog}.

### OnNavigation(self, event)

Handles the wx.EVT_NAVIGATION_KEY event for L{GenericMessageDialog}.

### OnNo(self, event)

L{GenericMessageDialog} had received a wx.ID_NO answer.

### OnOk(self, event)

L{GenericMessageDialog} had received a wx.ID_OK answer.

### OnYes(self, event)

L{GenericMessageDialog} had received a wx.ID_YES answer.

### SwitchFocus(self)

Switch focus between buttons.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:55:13 2009 | http://epydoc.sf.net